# Uses of Class
org.eclipse.microprofile.openapi.spi.OASFactoryResolver

Packages that use OASFactoryResolver
Package
Description
org.eclipse.microprofile.openapi.spi
Service provider interface which allows vendors to set their implementations of OASFactoryResolver.

## Uses of OASFactoryResolver in org.eclipse.microprofile.openapi.spi

Methods in org.eclipse.microprofile.openapi.spi that return OASFactoryResolver
Modifier and Type
Method
Description
`static OASFactoryResolver`
OASFactoryResolver.`instance()`
Creates an OASFactoryResolver object.
Methods in org.eclipse.microprofile.openapi.spi with parameters of type OASFactoryResolver
Modifier and Type
Method
Description
`static void`
OASFactoryResolver.`setInstance(OASFactoryResolver factory)`
Set the instance.